For the complete documentation index, see llms.txt. This page is also available as Markdown.

List agreements for a tenant payment method

List the agreements configured on a tenant payment method.

Results are sorted by position ascending, then name, when no sorting parameter is specified. sortBy accepts name, percentage, position, validFrom, validTo, active, createdAt and lastModifiedAt.

Required permissions: PAYMENT_METHOD

get
/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/agreements
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tenantPaymentMethodUidstringRequired

Reference to a tenant PaymentMethodUid.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
activebooleanOptional

Filter agreements on active status. When true, only active agreements are returned. When false, only inactive agreements are returned. When omitted, all agreements are returned.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200Success
application/json
get/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/agreements
GET /v2/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/agreements HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "items": [
    {
      "tenantPaymentMethodAgreementUid": "text",
      "name": "text",
      "productUid": "text",
      "percentage": 1,
      "validFrom": "2026-01-01T00:00:00.000Z",
      "validTo": "2026-01-01T00:00:00.000Z",
      "position": 1,
      "active": true,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?